aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xcontrib/sepgsql/test_sepgsql4
-rw-r--r--src/bin/pg_upgrade/test.sh4
-rwxr-xr-xsrc/test/locale/de_DE.ISO8859-1/runall10
-rwxr-xr-xsrc/test/locale/gr_GR.ISO8859-7/runall6
-rwxr-xr-xsrc/test/locale/koi8-r/runall6
-rwxr-xr-xsrc/test/locale/koi8-to-win1251/runall6
-rwxr-xr-xsrc/test/mb/mbregress.sh2
-rw-r--r--src/test/ssl/t/001_ssltests.pl2
-rwxr-xr-xsrc/tools/find_static2
9 files changed, 21 insertions, 21 deletions
diff --git a/contrib/sepgsql/test_sepgsql b/contrib/sepgsql/test_sepgsql
index 12667189f52..7530363d2cc 100755
--- a/contrib/sepgsql/test_sepgsql
+++ b/contrib/sepgsql/test_sepgsql
@@ -233,7 +233,7 @@ echo "ok"
# loadable module must be installed and not configured to permissive mode
echo -n "checking sepgsql installation ... "
-VAL="`${CMD_PSQL} -t -c 'SHOW sepgsql.permissive' template1 2>/dev/null`"
+VAL="`${CMD_PSQL} -X -t -c 'SHOW sepgsql.permissive' template1 2>/dev/null`"
RETVAL="$?"
if [ $RETVAL -eq 2 ]; then
echo "failed"
@@ -266,7 +266,7 @@ echo "ok"
# NOTE: this test is wrong; we really ought to be checking template0.
# But we can't connect to that without extra pushups, and it's not worth it.
echo -n "checking for labels in template1 ... "
-NUM=`${CMD_PSQL} -At -c 'SELECT count(*) FROM pg_catalog.pg_seclabel' template1 2>/dev/null`
+NUM=`${CMD_PSQL} -XAt -c 'SELECT count(*) FROM pg_catalog.pg_seclabel' template1 2>/dev/null`
if [ -z "${NUM}" ]; then
echo "failed"
echo ""
diff --git a/src/bin/pg_upgrade/test.sh b/src/bin/pg_upgrade/test.sh
index aa7f3994caa..7d5a5947e6c 100644
--- a/src/bin/pg_upgrade/test.sh
+++ b/src/bin/pg_upgrade/test.sh
@@ -156,7 +156,7 @@ standard_initdb "$oldbindir"/initdb
if "$MAKE" -C "$oldsrc" installcheck; then
pg_dumpall -f "$temp_root"/dump1.sql || pg_dumpall1_status=$?
if [ "$newsrc" != "$oldsrc" ]; then
- oldpgversion=`psql -A -t -d regression -c "SHOW server_version_num"`
+ oldpgversion=`psql -X -A -t -d regression -c "SHOW server_version_num"`
fix_sql=""
case $oldpgversion in
804??)
@@ -169,7 +169,7 @@ if "$MAKE" -C "$oldsrc" installcheck; then
fix_sql="UPDATE pg_proc SET probin = replace(probin, '$oldsrc', '$newsrc') WHERE probin LIKE '$oldsrc%';"
;;
esac
- psql -d regression -c "$fix_sql;" || psql_fix_sql_status=$?
+ psql -X -d regression -c "$fix_sql;" || psql_fix_sql_status=$?
mv "$temp_root"/dump1.sql "$temp_root"/dump1.sql.orig
sed "s;$oldsrc;$newsrc;g" "$temp_root"/dump1.sql.orig >"$temp_root"/dump1.sql
diff --git a/src/test/locale/de_DE.ISO8859-1/runall b/src/test/locale/de_DE.ISO8859-1/runall
index dda03053075..5368e126ee9 100755
--- a/src/test/locale/de_DE.ISO8859-1/runall
+++ b/src/test/locale/de_DE.ISO8859-1/runall
@@ -37,8 +37,8 @@ for f in char varchar text; do
dropdb testlocale >/dev/null 2>&1
createdb testlocale || abort "createdb failed"
- psql -d testlocale -c "CREATE TABLE wordlist (name_en char(20), name_de $ftype);" >/dev/null 2>&1 || abort "createtable failed"
- psql testlocale < test-de.sql.in > test-de-$f.sql.out 2>/dev/null || abort "test query failed"
+ psql -X -d testlocale -c "CREATE TABLE wordlist (name_en char(20), name_de $ftype);" >/dev/null 2>&1 || abort "createtable failed"
+ psql -X testlocale < test-de.sql.in > test-de-$f.sql.out 2>/dev/null || abort "test query failed"
diff expected/test-de-$f.sql.out test-de-$f.sql.out
done
@@ -52,13 +52,13 @@ for f in char varchar text; do
dropdb testlocale >/dev/null 2>&1
createdb testlocale || abort "createdb failed"
- psql -d testlocale -c "CREATE TABLE wordlist (name_en char(20), name_de $ftype);" >/dev/null 2>&1 || abort "createtable failed"
- psql testlocale < test-de-upper.sql.in > test-de-upper-$f.sql.out 2>/dev/null || abort "test query failed"
+ psql -X -d testlocale -c "CREATE TABLE wordlist (name_en char(20), name_de $ftype);" >/dev/null 2>&1 || abort "createtable failed"
+ psql -X testlocale < test-de-upper.sql.in > test-de-upper-$f.sql.out 2>/dev/null || abort "test query failed"
diff expected/test-de-upper-$f.sql.out test-de-upper-$f.sql.out
done
echo "Testing PgSQL: select on regexp..."
-psql testlocale < test-de-select.sql.in > test-de-select.sql.out 2>/dev/null || abort "select query failed"
+psql -X testlocale < test-de-select.sql.in > test-de-select.sql.out 2>/dev/null || abort "select query failed"
diff expected/test-de-select.sql.out test-de-select.sql.out
dropdb testlocale || abort "dropdb failed"
echo "Finished."
diff --git a/src/test/locale/gr_GR.ISO8859-7/runall b/src/test/locale/gr_GR.ISO8859-7/runall
index 75c2c587326..4db33744847 100755
--- a/src/test/locale/gr_GR.ISO8859-7/runall
+++ b/src/test/locale/gr_GR.ISO8859-7/runall
@@ -38,12 +38,12 @@ for f in char varchar text; do
dropdb testlocale >/dev/null 2>&1
createdb testlocale || abort "createdb failed"
- psql -d testlocale -c "CREATE TABLE usastates (abbrev char(2), name_en char(20), name_gr $ftype);" >/dev/null 2>&1 || abort "createtable failed"
- psql testlocale < test-gr.sql.in > test-gr-$f.sql.out 2>/dev/null || abort "test query failed"
+ psql -X -d testlocale -c "CREATE TABLE usastates (abbrev char(2), name_en char(20), name_gr $ftype);" >/dev/null 2>&1 || abort "createtable failed"
+ psql -X testlocale < test-gr.sql.in > test-gr-$f.sql.out 2>/dev/null || abort "test query failed"
diff expected/test-gr-$f.sql.out test-gr-$f.sql.out
done
echo "Testing PgSQL: select on regexp..."
-psql testlocale < test-gr-select.sql.in > test-gr-select.sql.out 2>/dev/null || abort "select query failed"
+psql -X testlocale < test-gr-select.sql.in > test-gr-select.sql.out 2>/dev/null || abort "select query failed"
diff expected/test-gr-select.sql.out test-gr-select.sql.out
dropdb testlocale || abort "dropdb failed"
echo "Finished."
diff --git a/src/test/locale/koi8-r/runall b/src/test/locale/koi8-r/runall
index 3dc7453c093..5f420d666b8 100755
--- a/src/test/locale/koi8-r/runall
+++ b/src/test/locale/koi8-r/runall
@@ -38,12 +38,12 @@ for f in char varchar text; do
dropdb testlocale >/dev/null 2>&1
createdb testlocale || abort "createdb failed"
- psql -d testlocale -c "CREATE TABLE usastates (abbrev char(2), name_en char(20), name_ru $ftype);" >/dev/null 2>&1 || abort "createtable failed"
- psql testlocale < test-koi8.sql.in > test-koi8-$f.sql.out 2>/dev/null || abort "test query failed"
+ psql -X -d testlocale -c "CREATE TABLE usastates (abbrev char(2), name_en char(20), name_ru $ftype);" >/dev/null 2>&1 || abort "createtable failed"
+ psql -X testlocale < test-koi8.sql.in > test-koi8-$f.sql.out 2>/dev/null || abort "test query failed"
diff expected/test-koi8-$f.sql.out test-koi8-$f.sql.out
done
echo "Testing PgSQL: select on regexp..."
-psql testlocale < test-koi8-select.sql.in > test-koi8-select.sql.out 2>/dev/null || abort "select query failed"
+psql -X testlocale < test-koi8-select.sql.in > test-koi8-select.sql.out 2>/dev/null || abort "select query failed"
diff expected/test-koi8-select.sql.out test-koi8-select.sql.out
dropdb testlocale || abort "dropdb failed"
echo "Finished."
diff --git a/src/test/locale/koi8-to-win1251/runall b/src/test/locale/koi8-to-win1251/runall
index b5a16493f9e..89306a80bd2 100755
--- a/src/test/locale/koi8-to-win1251/runall
+++ b/src/test/locale/koi8-to-win1251/runall
@@ -35,12 +35,12 @@ for f in char varchar text; do
dropdb testlocale >/dev/null 2>&1
createdb testlocale || abort "createdb failed"
- psql -d testlocale -c "CREATE TABLE usastates (abbrev char(2), name_en char(20), name_ru $ftype);" >/dev/null 2>&1 || abort "createtable failed"
- psql testlocale < test-koi8.sql.in > test-koi8-$f.sql.out 2>/dev/null || abort "test query failed"
+ psql -X -d testlocale -c "CREATE TABLE usastates (abbrev char(2), name_en char(20), name_ru $ftype);" >/dev/null 2>&1 || abort "createtable failed"
+ psql -X testlocale < test-koi8.sql.in > test-koi8-$f.sql.out 2>/dev/null || abort "test query failed"
diff expected/test-koi8-$f.sql.out test-koi8-$f.sql.out
done
echo "Testing PgSQL: select on regexp..."
-psql testlocale < test-koi8-select.sql.in > test-koi8-select.sql.out 2>/dev/null || abort "select query failed"
+psql -X testlocale < test-koi8-select.sql.in > test-koi8-select.sql.out 2>/dev/null || abort "select query failed"
diff expected/test-koi8-select.sql.out test-koi8-select.sql.out
dropdb testlocale || abort "dropdb failed"
echo "Finished."
diff --git a/src/test/mb/mbregress.sh b/src/test/mb/mbregress.sh
index 1efa0326c7f..c313565fb4b 100755
--- a/src/test/mb/mbregress.sh
+++ b/src/test/mb/mbregress.sh
@@ -17,7 +17,7 @@ fi
dropdb --if-exists utf8
createdb -T template0 -l C -E UTF8 utf8 || exit 1
-PSQL="psql -n -e -q"
+PSQL="psql -X -n -e -q"
# in the test list, client-only encodings must follow the server encoding
# they're to be tested with; see hard-coded cases below
diff --git a/src/test/ssl/t/001_ssltests.pl b/src/test/ssl/t/001_ssltests.pl
index 92f16e4a11d..9ce0cf3ae50 100644
--- a/src/test/ssl/t/001_ssltests.pl
+++ b/src/test/ssl/t/001_ssltests.pl
@@ -37,7 +37,7 @@ sub run_test_psql
my $logstring = $_[1];
my $cmd = [
- 'psql', '-A', '-t', '-c', "SELECT 'connected with $connstr'",
+ 'psql', '-X', '-A', '-t', '-c', "SELECT 'connected with $connstr'",
'-d', "$connstr" ];
my $result = run_log($cmd);
diff --git a/src/tools/find_static b/src/tools/find_static
index 0643021879f..1cc9ec3b3dc 100755
--- a/src/tools/find_static
+++ b/src/tools/find_static
@@ -47,4 +47,4 @@ echo "
from debug2
where scope = 'T' and func != 'main'
order by file, func;
-" |psql debug
+" |psql -X debug